package org.jamesii.experimentgeneration.controller.generation.controller.backend;

import org.jamesii.experimentgeneration.controller.generation.controller.MainExperimentController;

import freemarker.template.Template;

import org.jamesii.experimentgeneration.experiment.Experiment;
import org.jamesii.experimentgeneration.model.BackendType;
import org.jamesii.experimentgeneration.model.ExperimentModel;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * Created by Marcus on 17.12.2018.
 */
public class PythonBackendController extends BackendController implements Experiment {
    private HashMap experimentParameter;
    private MainExperimentController mainExperimentController;

    public PythonBackendController(MainExperimentController mainExperimentController) {
        super(mainExperimentController);

        experimentParameter = new HashMap();
        this.mainExperimentController = mainExperimentController;
    }

    public HashMap getExperimentParameter() {
        return experimentParameter;
    }

    @Override
    public boolean check(JSONObject jsonObject) {

        System.out.println("Python Backend Chosen");
        for (String key : jsonObject.keySet()) {
            experimentParameter.put(key, jsonObject.get(key).toString());
            System.out.println(key + "  :  " + jsonObject.get(key));
        }

        boolean fileCheck = checkFile(jsonObject);

        if (fileCheck) {
            return true;
        }
        {
            return false;
        }

    }




    @Override
    public void adjustModelPath(HashMap parameters) {
        adaptModelPath(mainExperimentController.getExperimentModel());
    }

    @Override
    public void generateExperiment(ExperimentModel experimentModel, Template template) {
//        Configuration configuration = mainExperimentController.getConfiguration();

    }
}
