<#import "/Stochastic-Experiments/stochastic_head.ftl" as head>
<#import "/Stochastic-Experiments/stochastic_imports.ftl" as imports>
<#import "/Stochastic-Experiments/stochastic_tail.ftl" as tail>
<#import "/Stochastic-Experiments/stochastic_model_init.ftl" as model>
<#import "/Stochastic-Experiments/stochastic_simulation.ftl" as simulation>
<#import "/Stochastic-Experiments/stochastic_observation.ftl" as observation>
<#import "/Experiment-Design/experiment_design_body.ftl" as experimentDesignBody>
<#import "/Experiment-Design/experiment_design_head.ftl" as experimentDesignHead>
<#import "/Experiment-Design/experiment_design_tail.ftl" as experimentDesignTail>

<@imports.stochastic_imports/>
<#if factorNames??>
    <@experimentDesignHead.experiment_design_head/>
</#if>
<@head.header observationTrait="with Observation" csv=" with CSVOutput" />
<@model.modelInit/>
<@simulation.simulation/>
<@observation.observation/>
    <#if factorNames??>
       <@experimentDesignBody.experiment_design_body/>
    </#if>
<@tail.tail/>
<#if factorNames??>
    <@experimentDesignTail.experiment_design_tail/>
</#if>
